function varargout=dopOSCCItestDir
% dopOSCCI Mark II: dopOSCCItestDir ~ 11-10-2010 (last edit)
%
% return a default directory for saving things into for testing
% 
% testDir=dopOSCCItestDir
%



    fprintf('\n%s\n%s\n','------------------','Creating test save directory:');
    % get the location of the dopOSCCI function - should be on matlab path
    
    dfl=which('dopOSCCI'); % dopOSCCI file location
    dl=fileparts(dfl); % dopOSCCI location
    
    % set save path on same level as dopOSCCI but different directory
    tl=[dl,'Data\dopOSCCItest\'];
    % check that the directory exists
    if ~exist(tl,'dir')
        fprintf('\n\t%s\n','Making directory');
        mkdir(tl);
    end
%     % create file name
%     cf=['dopStruct',datestr(now,30)]; % crash file
%     cfl=[cl,cf];
%         fprintf('\t%s\n\n\t%s\n\t%s\n\n\t%s\n\t\t%s\n',...
%             'Saving ''dop'' structure to:',['Dir: ',cl],['File: ',cfl],...
%             'Access by typing:',['load(''',cfl,''')']);
%     
%     % save the mat file
%     save(cfl);
% else
%     fprintf('\n%s\n\t%s\n\n','Not saving ''dop'' structure - ',...
%         'dop.saveDop not turned on');
% end
% clear the variables
varargout{1}=tl;
clear dop dfl dl tl


